# Purchase Order

## Get Purchase Order :- LOGIC API PULL - PURCHASE ORDER <a href="#heading" id="heading"></a>

This API is used to fetch Purchase Order from LOGIC

### **Authorization Detail**

| Name          | Detail                                          |
| ------------- | ----------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/GetPurchaseOrder> |
| Request Type  | POST                                            |
| Authorization | Basic Auth                                      |
| Username      | Demo                                            |
| Password      | 1                                               |

### **Request**

```
 
{
    "GlobalModifyCode": 0,
    "Doc_Codes": " 1",
    "DateFrom":  null,
    "DateTo":  null,
    "ApprovalFilter": "1",
    "Branch_Codes_From": 2
}

```

### **Response**

```

{
 "GetData": [
     {
         "Vouch_Code": 8,
         "Order_Prefix": "PO",
         "Order_Number": 6,
         "Order_Date": "12/06/2018",
         "Party_Name": "DEMO FOR API TESTING    -HOWRAH",
         "Party_User_Code": "1002",
         "Agent_Name": "NIL",
         "Branch_Name": "HO REDTAPE",
         "Branch_Short_Name": "430",
         "Exchange_Rate": 1.0,
         "Currency_Name": "Rupees",
         "Order_Amount": 920.0,
         "Total_Tax": 82.8,
         "Net_Order_Amount": 1085.6,
         "Supplier_Order_No": "",
         "Delivery_Date": "",
         "Quotation_No": "",
         "Transfer_Branch_Name": "",
         "Transfer_Branch_Code": -1,
         "Quotation_Date": "",
         "Action_Code": "M",
         "ListItems": [
             {
                 "Txn_Code": 30,
                 "Logic_UserCode": "B631658",
                 "Lot_Number": "",
                 "CF_Qty": 1.0,
                 "Total_Qty": 10.0,
                 "Rate": 42.0,
                 "Pending_Qty": 10.0,
                 "PO_MRP": 70.0 
             }
         ]
     }
 ],
 "Status": true,
 "Message": "",
 "LastGlobalModifyCode": 0 
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/orders/pull/purchase-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
